Package helma.util

# Class Timer

java.lang.Object
helma.util.Timer

public class Timer extends Object
Utility class for timing a series of events

## Constructor Summary

Constructors
Constructor
Description
`Timer()`
Creates a new Timer object.

## Method Summary

Modifier and Type
Method
Description
`void`
`beginEvent(String name)`
`void`
`dump(PrintStream out)`
`void`
`endEvent(String name)`
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Timer

public Timer()
Creates a new Timer object.

## Method Details

### reset

public void reset()

### beginEvent

public void beginEvent(String name)

Parameters:
  `name` - ...

### endEvent

public void endEvent(String name)

Parameters:
  `name` - ...

### dump

public void dump(PrintStream out)

Parameters:
  `out` - ...